Page MenuHomePhabricator

Part Deux: TextCat A/B test for Language Identification - specification
Closed, ResolvedPublic

Description

This is a continuation - with modifications - of a test that started in https://phabricator.wikimedia.org/T121543.

We needed to modify the event logging in order to get reliable data to analyze.

Here's a list of issues with EL/data from the first run: T137158. In summary: 1. we didn't record if the clickthrough was on an interwiki result; 2. something funky is going on with the third value of the extra parameters field; 3. that third value needs to be explicitly 0 when the number of results returned is 0, rather than just missing.

Event Timeline

debt created this task.Jun 6 2016, 10:56 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 6 2016, 10:56 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
mpopov updated the task description. (Show Details)Jun 6 2016, 11:02 PM

To make deployment a bit easier fixing the test and re-deploying it are being done in the same patch (linked to both this ticket and the ticket for turning it on).

debt triaged this task as Normal priority.Jun 16 2016, 5:24 PM

Change 293432 had a related patch set uploaded (by EBernhardson):
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/293432

Change 293432 merged by jenkins-bot:
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/293432

Change 294773 had a related patch set uploaded (by EBernhardson):
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/294773

Change 294773 merged by jenkins-bot:
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/294773

Deskana closed this task as Resolved.Jul 7 2016, 7:20 PM